<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFC175=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Dive Puzzle Time"> <comment>Turn OFF at the End of Round!</comment>
    <script state="run">
      <action>maincpu.pb@FFC264=09</action>
      <action>maincpu.pb@FFC265=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Diving Time">
    <script state="run">
      <action>maincpu.pb@FFC24D=99</action>
      <action>maincpu.pb@FFC24E=09</action>
      <action>maincpu.pb@FFC251=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Only use the proper Infinite Time cheat during the Number"/>
  <cheat desc="and Slider puzzles. And only turn it ON after the puzzle"/>
  <cheat desc="has started or it maybe IMPOSSIBLE to complete!"/>
  <cheat desc=" "/>

  <cheat desc="Infinite Number Puzzle Time">
    <script state="run">
      <action>maincpu.pb@FFE0F3=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Slider Puzzle Time">
    <script state="run">
      <action>maincpu.pb@FFE121=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@FFC24B=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@FFC249=02</action>
    </script>
  </cheat>

  <cheat desc="One Tile to finish Dive Now!"> <comment>You won't get to see the full picture though!</comment>
    <script state="on">
      <action>maincpu.pb@FFC25B=01</action>
      <action>maincpu.pb@FFC25D=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
